MAXScript Extensions > MAXScript Extensions for Particle Flow > Particle Flow Classes > mParticles Operators >

# mP_Worldhelper : Helper

    mP_Worldhelper - superclass: helper; super-superclass:node - 35:1 - classID: #(1587580784, 1121946490)

Value > MAXWrapper > Node > Helper > mP_Worldhelper

| Particle Flow - Quick Navigation

Description:

NEW in 3ds Max 2014: The mP_Worldhelper Helper holds the settings accessed by the mP_World Particle Flow operator. It defines the physical simulation parameters.

Constructors:

    mP_Worldhelper...
    PhysXWorld...

Properties:

## Parameters rollout

    <mP_Worldhelper>.Apply_Gravity     BooleanClass    default: false   --  boolean

Get/set the state of the "Apply Gravity" checkbox.

    <mP_Worldhelper>.Gravity_Acceleration     Float    default: 386.088   --  worldUnits

Get/set the value (in world units per second squared) of the "Acceleration" spinner .

    <mP_Worldhelper>.Ground_Collision_Plane     BooleanClass    default: false   --  boolean

Get/set the state of the "Ground Collision Plane" checkbox.

### Ground Bounce And Friction group of controls

    <mP_Worldhelper>.Default_Restitution     Float    default: 0.0   --  float

Get/set the value of the "Restitution" spinner.

    <mP_Worldhelper>.Default_Static_Friction     Float    default: 0.5   --  float

Get/set the value of the "Static Friction" spinner.

    <mP_Worldhelper>.Default_Dynamic_Friction     Float    default: 0.5   --  float

Get/set the value of the "Dynamic Friction" spinner.

    <mP_Worldhelper>.Set_World_Limits     BooleanClass    default: false   --  boolean

Get/set the state of the "Set World Limits" checkbox.

### Icon Size group of controls

    <mP_Worldhelper>.Icon_Length     Float    default: 10.0   --  worldUnits

Get/set the value of the "Length" spinner.

    <mP_Worldhelper>.Icon_Width     Float    default: 10.0   --  worldUnits

Get/set the value of the "Width" spinner.

    <mP_Worldhelper>.Icon_Height     Float    default: 10.0   --  worldUnits

Get/set the value of the "Height" spinner.

### Collision Exclusion group of controls

    <mP_Worldhelper>.Collision_Group     Integer    default: 0   --  integer

Get/set the value of the "Collision Group" spinner.

    <mP_Worldhelper>.Run_Baked_Simulation     BooleanClass    default: false   --  boolean

Get/set the state of the "Run Baked Simulation" checkbox.

### Cache/Bake Simulation group of controls

    <mP_Worldhelper>.Range_Type     Integer    default: 0   --  integer

Get/set the selection of the "Range" drop-down list.

    <mP_Worldhelper>.Range_Start     Integer    default: 0   --  integer

Get/set the value of the Range Start spinner.

    <mP_Worldhelper>.Range_Finish     Integer    default: 16000   --  integer

Get/set the value of the Range End ("To") spinner.

    <mP_Worldhelper>.Update_Viewports     BooleanClass    default: true   --  boolean

Get/set the state of the "Update Viewports" checkbox.

    <mP_Worldhelper>.Show_Bake_Dialog     Integer    default: 2   --  integer

    <mP_Worldhelper>.Use_Time_Scale     BooleanClass    default: false   --  boolean

### Hide Visual Representation group of controls

    <mP_Worldhelper>.Hide_Icon     BooleanClass    default: false   --  boolean

Get/set the state of the "Icon" checkbox.

    <mP_Worldhelper>.Hide_Particle_Bindings     BooleanClass    default: false   --  boolean

Get/set the state of the "Particle Binding" checkbox.

## Advanced Parameters rollout

    <mP_Worldhelper>.Subframe_Type     Integer    default: 1   --  integer

Get/set the selection of the "Subframe Type" drop-down list.

Possible values are:

0 - Variable

1 - Fixed (default)

    <mP_Worldhelper>.Subframe_Factor     Integer    default: 2   --  integer

Get/set the value of the "Subframe Factor" spinner.

    <mP_Worldhelper>.Use_Time_Scale     BooleanClass    default: false   --  boolean

Get/set the state of the "Time Scale %" checkbox.

    <mP_Worldhelper>.Time_Scale     Float    default: 100.0   --  animatable; percent; Controller Scaling: (1 : 100.0)

Get/set the value of the "Time Scale %" spinner.

### Sleep Threshold

    <mP_Worldhelper>.Sleep_Threshold_Type     Integer    default: 0   --  radiobtnIndex

Get/set the state of the "Sleep Threshold" radio buttons.

Possible values are:

0 - Energy (default)

1 - Speed/Spin

    <mP_Worldhelper>.Energy_Threshold     Float    default: 1.9685   --  float

Get/set the value of the "Energy" spinner.

    <mP_Worldhelper>.Speed_Threshold     Float    default: 0.1   --  worldUnits

Get/set the value of the "Speed" spinner.

    <mP_Worldhelper>.Spin_Rate_Threshold     Float    default: 5.72958   --  angle

Get/set the value of the "Spin Rate" spinner.

    <mP_Worldhelper>.Bounce_Threshold     Float    default: 2.0   --  worldUnits

Get/set the value of the "Bounce" spinner.

    <mP_Worldhelper>.Enable_Multi_Threading     BooleanClass    default: false   --  boolean

Get/set the state of the "Enable Multi Threading" checkbox.

    <mP_Worldhelper>.Thread_Count     Integer    default: 2   --  integer

Get/set the value of the "Thread Count" spinner.

    <mP_Worldhelper>.Use_Hardware_PPU     BooleanClass    default: false   --  boolean

Get/set the state of the "Use Hardware PPU" checkbox.

    <mP_Worldhelper>.Restricted_Broadphase     BooleanClass    default: false   --  boolean

Get/set the state of the "Restricted Broadphase" checkbox.

    <mP_Worldhelper>.Safe_Mode_Simulation     BooleanClass    default: true   --  boolean

Get/set the state of the "Safe Mode Simulation" checkbox.

    <mP_Worldhelper>.Calculation_Limit     Integer    default: 10   --  integer

Get/set the value of the "Calculation Limit" spinner.

    <mP_Worldhelper>.useProfileTools     BooleanClass    default: false   --  bool

Exposed by the profileTools interface.

## mP_Worldhelper interfaces:

The following common Particle Flow Interfaces are exposed by the mP_Worldhelper Class:

Interface: PhysXWorld

Interface: profileTools